
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>storm集群部署和配置过程详解 / iVAN</title>

    <meta name="description" content="storm集群部署和配置过程详解   先整体介绍一下搭建storm集群的步骤: 设置zookeeper集群 安装依赖到所有nimbus和worker节点 下载并解压storm发布版本到所有nimbus和worker节点 配置storm.yaml 启动相关后台进程 1 首先配置zookeeper集群      我们知道storm通过zookeeper来协调整个集群.zookeeper不是用来做消息传递,因此storm不会给zookeeper带来很大的压力.单节点的zookeeper在大多情形下是可以胜任的,但是如果你想得到更好的可">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">storm集群部署和配置过程详解</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>  先整体介绍一下搭建storm集群的步骤：</p>
<ol>
<li>设置zookeeper集群</li>
<li>安装依赖到所有nimbus和worker节点</li>
<li>下载并解压storm发布版本到所有nimbus和worker节点</li>
<li>配置storm.yaml</li>
<li>启动相关后台进程</li>
</ol>

<h3>1 首先配置zookeeper集群</h3>
<p>     我们知道storm通过zookeeper来协调整个集群。zookeeper不是用来做消息传递，因此storm不会给zookeeper带来很大的压力。单节点的zookeeper在大多情形下是可以胜任的，但是如果你想得到更好的可靠性或者部署大集群的话，你可能就需要一个大的zookeeper集群。关于zookeeper的部署在这里就不多做介绍，具体请参考：<a href="http://zookeeper.apache.org/doc/r3.3.3/zookeeperAdmin.html" rel="external nofollow noreferrer">here</a>。</p>
<p>     关于zookeeper的部署这里再补充两点：</p>
<ol>
<li>把zookeeper运行在一个监督进程之下是非常关键的，因为zookeeper是一个fail-fast的进程，当它遇到任何错误的时候都会自动退出，具体请参考：  <a href="http://zookeeper.apache.org/doc/r3.3.3/zookeeperAdmin.html#sc_supervision" rel="external nofollow noreferrer">here</a></li>
<li>定时的去压缩和转移zookeeper数据也是非常关键的，因为zookeeper不具备压缩和清楚数据机制，如果我们不设置一个cron管理这些数据，zookeeper产生的数据会很快的占满磁盘，具体请参考： <a href="http://zookeeper.apache.org/doc/r3.3.3/zookeeperAdmin.html#sc_maintenance" rel="external nofollow noreferrer">here</a></li>
</ol>
<p>     ps:如果zookeeper启动失败，查看一下它bin目录下的zookeeper.out文件，配置一下它的myid试试。</p>
<h3>2 安装依赖到nimbus和worker节点</h3>
<p>    storm需要依赖的是：</p>
<ol>
<li>Java 6</li>
<li>Python 2.6.6     </li>
</ol>
<p>     需要注意，storm对大多数版本的依赖都做了测试，但是storm并不保证对任何版本的依赖都能正常工作。</p>
<h3>3 下载解压storm发布版本到nimbus和worker节点</h3>
<p>     下一步就是下载解压storm压缩文件到每一台机器，storm发布版本可以从这里下载<a href="http://github.com/apache/incubator-storm/downloads" rel="external nofollow noreferrer">from<br />
 here</a>。</p>
<h3>4 配置storm.yaml文件</h3>
<p>     storm里面有一个文件conf/storm.yaml，它就是storm的配置文件。关于这个文件的所有默认值可以从这里得到<a href="https://github.com/apache/incubator-storm/blob/master/conf/defaults.yaml" rel="external nofollow noreferrer">here</a>。storm.yaml中的配置会覆盖掉default.yaml中的配置。下面配置一个集群必须修改的配置：</p>
<p>     1) storm.zookeeper.servers:配置zookeeper集群的列表</p>
<pre> storm.zookeeper.servers:
       - "111.222.333.444"
       - "555.666.777.888"</pre>
<p>     如果你的zookeeper集群使用的端口不是默认端口，那么你还得配置storm.zookeeper.port。</p>
<p>     2) storm.local.dir ：storm的nimbus和work进程需要一个目录来存放一小部分状态数据，比如jars、confs等等。我们需要在每台机器上创建这个目录并且赋予其相应的权限。</p>
<pre> storm.local.dir: "/mnt/storm"</pre>
<p>     3) nimbus.host:worker节点需要知道哪个机器是master节点，以便自己从maser节点下载jars和confs。</p>
<pre> nimbus.host: "111.222.333.44"</pre>
<p>     4) supervisor.slots.ports:对于每一台worker机器，它决定了这台机器一共可以运行多少个worker进程。每个worker进程会独占一个端口来接收消息，这个参数就是配置了哪些端口会分配给worker进程。如果你在这配置了5个端口，那么storm将能分配5个worker进程给这台机器，如果配置3个端口，那么storm也只能分配3个worker进程。storm默认分配4个worker进程到6700，6701,6702,6703端口。比如：</p>
<pre> supervisor.slots.ports:
    - 6700
    - 6701
    - 6702
    - 6703</pre>

<h3>5 通过storm命令运行storm相关的守护进程</h3>
<p>     最后一步就是启动所有storm相关守护进程。当然，把这些进程都纳入到监督进程管理之下是很有必要的。storm也是一个fail-fast系统，这就意味着这些进程一但遇到异常就会终止。storm之所以会这么设计，是为了它可以在任何时候安全的终止和在进程重启的时候恢复。这就是storm为不在进程中保存相关状态的原因，如果nimbus或supervisor节点重启，运行着的topoloies不会受到任何影响。下面就是启动storm相关进程的命令：</p>
<ol>
<li>Nimbus：在master节点运行“bin/storm nimbus”</li>
<li>Supervisor：在每一台worker节点运行“bin/storm supervisor”,supervisor进程负责在worker节点上启动和停止相应的worker进程</li>
<li>UI：运行“bin/storm ui” ，一个通过页面管理和展示storm集群运行状态的工具，可以通过“http://nimbus host:8080”来访问。     </li>
</ol>
<p>    我们可以看到启动storm服务进程相当简单直接，storm产生的log会保存在各台机器的storm/logs目录中，storm通过logback管理它的日志，我们可以通过修改其logback.xml文件来改变其log的目录及内容。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-22 22:44:56</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar">

		<h3>storm集群部署和配置过程详解的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MrdYYmz.html" rel="bookmark">GlusterFS集群系统安装与配置方法详解&lpar;1&sol;2&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				GlusterFS是一个开源的分布式文件系统,于2011年被红帽收购.它具有高扩展性.高性能.高可用性.可横向扩展的弹性特点,无元数据服务器设计使glusterfs没有单点故障隐患,详细介绍请查看官网:www.gluster.org . 部署环境:OS: CentOS release 6.5 (Final) x64 Server: c1:192.168.242.132 c2:192.168.242.133 c3:192.168.242.134 c4:192.168.242.135 hosts:			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MymEj4M.html" rel="bookmark">Storm集群部署</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在线下载安装包 wget http://124.202.164.6/files/1139000006794ECA/apache.fayea.com/storm/apache-storm-0.9.5/apache-storm-0.9.5.tar.gz 解压安装包 tar -zxvf apache-storm-0.9.5.tar.gz -C /export/servers/ cd /export/servers/ 创建软连接 快捷方式 ln -s apache-storm-0.9.5 storm 修			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pm7L2lb.html" rel="bookmark">WCF分布式开发步步为赢&lpar;2&rpar;自定义托管宿主WCF解决方案开发配置过程详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				上一节WCF分布式开发步步为赢(1):WCF分布式框架基础概念我们介绍了WCF服务的概念和通信框架模型,并给出了基于自定义托管服务的WCF程序的实现代码.考虑到WCF分布式开发项目中关于托管宿主服务配置和客户端添加引用.两个环节最容易出错.对于大部分想学习WCF分布式开发的人来说,成功开发.配置.部署第一个自己的WCF服务困难重重.很多资料都介绍了WCF的基本概念.但是对于实际的项目开发过程介绍粗略,给入门者带来诸多不便.今天我们就来补充一节WCF分布式开发一个完整解决方案的开发和配置过程.本节			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M0QPvPp.html" rel="bookmark">MySQL实现实时备份的配置过程详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前面笔者在其他随笔中有说过,公司数据库选用的是免安装版并且是在Windows上,等过段时间我会将数据库迁移至Linux 因公司开发操作数据库之多,如不及时备份,万一操作失误,恢复可就成难题了 此篇随笔将介绍如何进行 MySQL 的实时备份   环境介绍   两台服务器进行主从同步复制(安装可以通过google查询相关资料或者看笔者的这篇免安装版) 利用Windows脚本和Windows自带的计划任务,将主服务器进行实时备份(下面进行演示) Maseter MySQL: 192.168.1.253			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQYvGKb.html" rel="bookmark">基于Linux网关服务器squid配置过程详解&lowbar;Linux</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前言 在此,我们要配置一个只对内部网络提供代理服务的 Proxy Server.它具有如下功能它将用户分为高级用户和普通用户两种,对高级用户采用网卡物理地址识别的方法, 普通用户则需要输入用户名和口令才能正常使用. 高级用户没有 访问时间和文件类型的限制,而普通用户只在上班时可以访问以及一些其它的限制. 安装 从源中安装 源中自带稳定版本,执行下面的命令进行安装 sudo apt-get install squid squid-common 源码编译安装 当然你也可以到官方网站下载最新的版本进行			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/VzwZodp.html" rel="bookmark">Pam的配置过程详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				PAM:可插拔的认证模块 模块  /lib/security 接口文件  /etc/pam.d/ type auth  验证是否有该帐号 account  口令 帐号是否过期 password  用户修改口令 session   会话过程 control required    必须通过,           如果没有通过 ,测底否定  ,而且还要看后续模块           如果通过 ,且还要看后续模块 requisite   必须通过,           如果没有通过 ,测底否定  ,而			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQ11LWb.html" rel="bookmark">centos系统keepalived安装和配置过程详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				[keepalived安装] 1.下载keepalived. wget http://www.keepalived.org/software/keepalived-1.2.13.tar.gz 2.编译安装 yum install -y gcc openssl openssl-devel ipvsadm libnl-devel tar zxvf keepalived-1.2.13.tar.gz cd keepalived-1.2.13 ./configure --sysconfdir=/etc 			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b3270wz.html" rel="bookmark">《Storm企业级应用：实战、运维和调优》&mdash;&mdash;2&period;3　安装部署Storm集群</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				2.3 安装部署Storm集群 Storm的安装.部署过程分为安装依赖.安装Storm.启动和查看安装等几个部分.其中,前两部分内容在三个节点上都是一样的,只要在启动时区分开角色即可.接下来将讲解Storm集群的安装过程.2.3.1 安装Storm依赖库 在Nimbus和Supervisor的节点上安装Storm时,都需要安装相关的依赖库,具体如下: ZeroMQ 2.1.7. JZMQ. 其中,ZeroMQ推荐使用2.1.7版本,请勿使用2.1.10版本.官方解释是因为该版本的一些严重Bug会			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MN7NOxp.html" rel="bookmark">Apache Storm 官方文档 &mdash;&mdash; Storm 集群安装配置</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原文链接    译者:魏勇 本文详细介绍了 Storm 集群的安装配置方法.如果需要在 AWS 上安装 Storm,你应该先了解一下 storm-deploy 项目.storm-deploy 可以自动完成 E2 上 Storm 集群的准备.配置.安装的全部过程,同时还设置好了 Ganglia,方便监控 CPU.磁盘以及网络的使用信息. 如果你在使用 Storm 集群时遇到问题,请先查看&quot;问题与解决&quot;一文中是否已有相应的解决方案.如果检索不到有效的解决方法,请向社区的邮件列表发送关于问题			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/VMrK1yp.html" rel="bookmark" class="title">在Word2010中将公式保存到公式库</a>
					<div>
						第1步,打开Word2010文档窗口,单击需要保存到公式库中的公式使其处于编辑或选中状态,然后单击&quot;公式选项&quot;按钮,并在打开的菜单中选择&quot;另存为新公式&quot;命令,如 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qba7Pmp.html" rel="bookmark" class="title">Swift语言与Objective-C语言混合编程</a>
					<div>
						首先创建一个Swift的Single View工程 然后直接在工程中新建OC文件: 然后选择OC语言之后会问你是否自动创建OC和Swift的中间文件: 然后工程文件夹里就有了三个文件: 现在OC头文件 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OM9Wl3z.html" rel="bookmark" class="title">在网页中实现文件链接调用</a>
					<div>
						链接|网页 在目前网页中大量地使用超链进行链接,其使用方式为 〈a href=&quot;指定文件&quot;〉显示文字〈/a〉 .除此之外还根据网页的不同又分以下的几种文件链接调用方式: 一. HT ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Lp5g27b.html" rel="bookmark" class="title">C&num;设计带图标和自定义颜色的ListBox</a>
					<div>
						设计 在一个点对点文件传输的项目中,我需要显示文件传输的实时信息:传输的文件列表和当前传输的文件,当时我想到了用ListBox,但是但我用了ListBox后,我发现它不能改变控件中文本想的颜色,于是我 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/rz4aOYb.html" rel="bookmark" class="title">PHP中的正规表达式&lpar;二&rpar;</a>
					<div>
						确定重复出现 到现在为止,你已经知道如何去匹配一个字母或数字,但更多的情况下,可能要匹配一个单词或一组数字.一个单词有若干个字母组成,一组数字有若干个单数组成.跟在字符或字符簇后面的花括号({})用来 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/LzJgw7b.html" rel="bookmark" class="title">PHP类中Static方法效率测试代码</a>
					<div>
						类的定义如下: 复制代码 代码如下: class test { public static function a(){} public function b(){} } $obj = new test ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/VMrn2vM.html" rel="bookmark" class="title">iPhone设计&colon;利用图形元素和屏幕交互设计</a>
					<div>
						在过去的两年里,你能想象的一些很烂的应用设计也入驻了优雅的iPhone.通过它周边的宣传,使得世界各地的设计者们都利用这个新的移动工具来一展身手.结果虽搞出了成千上万的iPhone应用,但通常不好用也 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/aM6OOXp.html" rel="bookmark" class="title">了解网站情况必须掌握的百度三剑客</a>
					<div>
						根据最新的情况,百度已经开放了网站外链查询,并且即将推出全网外链工具.而包括&quot;不掉毛的猫&quot;等词条也开始推行直接性推送内容了.从此百度进入了&quot;商业词有竞价.概念词有百科.应 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/lpPndrb.html" rel="bookmark" class="title">PHP的适配器模式</a>
					<div>
						适配器模式(Adapter)模式:将一个类的接口,转换成客户期望的另一个类的接口.适配器让原本接口不兼容的类可以合作无间. [适配器模式中主要角色] 目标(Target)角色:定义客户端使用的与特定领 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnxAv0b.html" rel="bookmark" class="title">基于&period;net mvc的校友录 二、实体模型设计</a>
					<div>
						前言 已经回学校好多天了,同学们也陆陆续续地来了,多数人已经拿到了自己的毕业设计了,我看着自己的一堆设计资料,却还没有多少东西能给人看的,心里是一阵阵的焦急啊.不过,咱是后期,就老老实实地慢慢farm ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqLJGGb.html" rel="bookmark" class="title">Oracle中建立索引并强制优化器使用</a>
					<div>
						当WHERE子句对某一列使用函数时,除非利用这个简单的技术强制索引,否则Oracle优化器不能在查询中使用索引. 通常情况下,如果在WHERE子句中不使用诸如UPPER.REPLACE 或SUBSTR ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bj7qQmM.html" rel="bookmark" class="title">详解操作主机角色，Active Directory系列之九</a>
					<div>
						而且修改后的结果会被其他的域控制器所承认.从这个角度讲,域控制器之间的地位是平等的,但我们决不能认为域控制器之间是没有区别的!事实上,域中的第一个域控制器往往比其他的域控制器承担了更多的任务. 有些企 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXB6vWb.html" rel="bookmark" class="title">善用颜色滤镜，调出夏的颜色</a>
					<div>
						  首先是前后对比图 色温调到4400左右,减亮部,加阴影. 因为图片色调偏蓝,所以要把脸色的红润突出一点,红色饱和度调高,再偏橙色一点点.蓝色则偏薄荷一点的蓝绿. 导入ps 加一个颜色滤镜,这里的色 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1EOloM.html" rel="bookmark" class="title">高强度U盘文件夹加密工具使用教程</a>
					<div>
						高强度U盘文件夹加密工具的加密方法非常简单,它是一款绿色软件,将它下载后解压缩并运行其中的&quot;高强度U盘文件夹加密.exe&quot;可执行文件即可打开它的界面.它分为&quot;快速移动加密 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mg3551M.html" rel="bookmark" class="title">怎么挑选一块适合自己电脑的显卡呢？</a>
					<div>
						  显卡是电脑的一个关键配件,一块好的显卡可以提升主机30%的 性能,但是并不是显卡越好就越适合,那么怎么挑选一块适合自己的显卡呢? 1.首先要知道自己电脑主机的定位,不是显卡价格越高就越好的,显卡分 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z42qnNM.html" rel="bookmark" class="title">java中的显示初始化和特定初始化</a>
					<div>
						public class Test{    public static void main(String[] args){        Child child = new Child();    } ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7YxQrM.html" rel="bookmark" class="title">div布局-HTML中PNG图片的绝对定位的小问题&comma;谢谢了</a>
					<div>
						问题描述 HTML中PNG图片的绝对定位的小问题,谢谢了 &lt;!doctype html&gt; &lt;html&gt; &lt;head&gt; &lt;meta charset=&quot; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/My38Pvz.html" rel="bookmark" class="title">如何打开CHM文件</a>
					<div>
						西瓜皮在中国IT实验室东逛西瞧,一不小心溜进了下载频道.很多好东西!下载哪个好呢,尚拿不定主意.小西顺手点开一个链接:电脑故障维修判断指导大全.chm,嗯,就他吧.    花了两颗下载豆豆,小西把资源 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze6g2Vb.html" rel="bookmark" class="title">不论采取何种方式开展促销活动，都必须严格遵守国家法律法规</a>
					<div>
						于8月15日打响的京东.国美.苏宁三大电商价格大战,引发各界热议.这场由微博口水战演变的电商价格实战,也引来了商务部的高度关注.在昨日举行的商务部月度例行新闻发布会上,商务部新闻发言人沈丹阳对于京东. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOl6okb.html" rel="bookmark" class="title">谁占用了我的Buffer Pool</a>
					<div>
						场景带入 双十一后,老鸟接二连三的狂轰滥炸着菜鸟:&quot;你读过一本叫&lt;谁动了我的奶酪&gt;的书吗?正好,你研究下谁动了SQL Server的Buffer Pool吧?&quot;. 菜鸟 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2R1NZb.html" rel="bookmark" class="title">朱啸虎讲述滴滴快递合并历程</a>
					<div>
						今年2月14日,滴滴打车和快的打车宣布合并.&quot;起于青萍,逆袭摇摇,沪广扫黄,融资阻击,擦枪走火,红包大战,柳青加盟,握手言和;难以想象这一切都在2年内完成.&quot;金沙江创投董事总经理朱 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pL7nNAM.html" rel="bookmark" class="title">光进铜退再掀热潮 布线须冷思考</a>
					<div>
						2015年随着总理对&quot;提速降费&quot;的三令五申,&quot;光进铜退&quot;的舆论也被再次推到风口浪尖.国务院直接出文要求,在网费明显偏高的城市开展宽带免费提速和降价活动,将具备网 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8AoyPz.html" rel="bookmark" class="title">中国银行推出&OpenCurlyDoubleQuote;网银开心用，好礼轻松得&rdquo;</a>
					<div>
						中国银行(601988,股吧)网银经过近十年的发展已经逐步成熟,并将在未来为客户提供更加安全.便捷.贴心的服务. 中国银行个人网上银行及手机银行已经覆盖绝大部分传统柜台业务,包括转账汇款.投资理财.网 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9xqNob.html" rel="bookmark" class="title">求助winform datagridview 行只读无效的问题</a>
					<div>
						问题描述 privatevoidDataLoad(){this.dtbl_Item=this.accOrigColLoadShip.GetDataOrigColLoadShipItemByOrigCo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAEKKAM.html" rel="bookmark" class="title">中国超级计算机：跑得比全世界都快 但应用尴尬</a>
					<div>
						&quot;神威·太湖之光&quot;超级计算机由国家并行计算机工程技术研究中心研制,安装在国家超级计算无锡中心. 运算神速 &quot;神威·太湖之光&quot;击败的是霸占榜首 3 年的&quot ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mvnkk5M.html" rel="bookmark" class="title">乌云漏洞平台、果壳网等遭到不明DDoS攻击</a>
					<div>
						7月8日消息,弹幕视频网站 AcFun.国内知名漏洞平台网站&quot;乌云&quot;及果壳网今日相继遭到不明DDoS攻击,出现不同程度的访问故障,其中&quot;乌云&quot;仍处在暂时关闭状态 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEYWNob.html" rel="bookmark" class="title">中国网中国品牌频道新版上线 助推中国品牌走向世界</a>
					<div>
						中国网中国品牌频道新版上线仪式 人民网北京12月23日电 为让'中国更多品牌通过互联网走向世界,中国品牌影响力提升计划启动暨中国网中国品牌频道新版上线仪式23日在国务院新闻办公室 举行. 改版升级后的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ba64wJM.html" rel="bookmark" class="title">善用事件代理，警惕闭包的性能陷阱。&lowbar;javascript技巧</a>
					<div>
						简言之,闭包是产生一个没有被释放资源的栈区.换言之,就是一个不可控的内存空间占用,如果与事件相关联,JS的垃圾回收机制也不会去触碰该区域. 例如:我们有个项目需要实现在一个div中有上百个热点区域(a ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mr2EQ4M.html" rel="bookmark" class="title">制作jquery遮罩层效果导航菜单代码分享&lowbar;jquery</a>
					<div>
						jquery导航是一个网站必不可少的模块,当一个用户在一个网站上浏览的时候,为了某个目的而查看网站导航栏的时候,突出导航栏的效果是重中之重.因此必须要使用一个效果:jquery遮罩层.利用明暗效果来突 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6G8gYp.html" rel="bookmark" class="title">sql-SQL创建课程表时关于先行课程的约束</a>
					<div>
						问题描述 SQL创建课程表时关于先行课程的约束 创建课程表的语句: create table Course( Cno char(4), primary key,Cname char(20) not n ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.029 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
